/*
 * Hive 缓存管理的对象，包含过期时间
 */
class CacheItem<T> {
  final T value;
  final int? expiryTime;

  CacheItem(this.value, [this.expiryTime]);

  bool get isExpired => expiryTime != null && DateTime.now().millisecondsSinceEpoch > expiryTime!;
}